/* ===============================================
	OWL CAROUSEL SLIDER
=============================================== */

jQuery('document').ready(function(){
  var owl = jQuery('.slider .owl-carousel');
    owl.owlCarousel({
    margin:20,
    nav: true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 3000,
    loop: false,
    dots:false,
    navText : ['<i class="fas fa-arrow-left"></i>','<i class="fas fa-arrow-right"></i> '],
    responsive: {
      0: {
        items: 1
      },
      600: {
        items: 1
      },
      1000: {
        items: 1
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});

/* ===============================================
  Scroll Top //
============================================= */

jQuery(window).scroll(function () {
  if (jQuery(this).scrollTop() > 100) {
    jQuery('.scroll-up').fadeIn();
  } else {
    jQuery('.scroll-up').fadeOut();
  }
});

jQuery('a[href="#tobottom"]').click(function () {
  jQuery('html, body').animate({scrollTop: 0}, 'slow');
  return false;
});

jQuery(function($){
  jQuery(".blog_box h3").each(function() {
    var t = jQuery(this).text();
    var splitT = t.split(" ");
    var halfIndex = Math.round(splitT.length / 3);
    var newText = "";
    for(var i = 0; i < splitT.length; i++) {
    if(i == halfIndex) {
      newText += "<span style='color:var(--first-color)'>";
    }
      newText += splitT[i] + " ";
    }
    newText += "</span>";
    jQuery(this).html(newText);
  });
});

/* ===============================================
  STICKY-HEADER
============================================= */

jQuery(window).scroll(function () {
		var sticky = jQuery('.sticky-header'),
		scroll = jQuery(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header');
		else sticky.removeClass('fixed-header');
	});

/*===============================================
 PRELOADER
=============================================== */

jQuery('document').ready(function($){
  setTimeout(function () {
  jQuery(".cssloader").fadeOut("fast");
},2000);
});